---
title: XPathException.code
slug: Web/API/XPathException/code
tags:
  - API
  - DOM
  - DOM XPath API
  - Property
  - Reference
  - XPath
  - XPathException
---
<div>{{APIRef("DOM XPath")}}</div>

<p>The <strong><code>code</code></strong> read-only property of the {{domxref("XPathException")}} interface returns a <code>short</code> that contains one of the <a href="/en-US/docs/Web/API/XPathException#Constants">error code constants</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>exceptionCode</var> = <var>exception</var>.code;
</pre>

<h3 id="Value">Value</h3>

<p>A <code>short</code> number representing the error code.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 XPath", "xpath.html#XPathException", "XPathException")}}</td>
   <td>{{Spec2("DOM3 XPath")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XPathException.code")}}</p>
